### Enumeration

# AppStream ValueFlags

since: 1.0

#### Declaration

    flags AppStream.ValueFlags

#### Description [src]

Set how values assigned to an `AsComponent` should be treated when they are set or retrieved.

Available since: 1.0

#### Members

`AS_VALUE_FLAG_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`AS_VALUE_FLAG_DUPLICATE_CHECK`

  Check for duplicates when adding items to list values.

  - Value: `1`
  - Nickname: `duplicate-check`
  - Available since: 1.0
`AS_VALUE_FLAG_NO_TRANSLATION_FALLBACK`

  Don’t fall back to C when retrieving translated values.

  - Value: `2`
  - Nickname: `no-translation-fallback`
  - Available since: 1.0